%define version   0.3.1
%define release   %mkrel 5

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:      scim-ccinput
Summary:   SCIM IMEngine module for CCInput
Version:   %{version}
Release:   %{release}
Group:     System/Internationalization
License:   GPL
URL:       http://www.scim-im.org
Source0:   %{name}-%{version}.tar.bz2
Patch0:	scim-ccinput-0.3.1-gcc43.patch
Patch1: scim-ccinput-0.3.1-linkage.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:   scim-devel >= 1.4.7-3mdk
BuildRequires:   automake, libltdl-devel
Obsoletes: %{libname}
Requires: scim-client = %scim_api

%description
Scim-ccinput is an SCIM IMEngine module for CCInput.
CCInput is another Pinyin input method for Chinese.

%prep
%setup -q
%patch0 -p0
%patch1 -p0 -b .link

%build
%configure2_5x --disable-skim-support
%make

%install
rm -rf $RPM_BUILD_ROOT
# fix rpmlint warnings:
chmod -x AUTHORS ChangeLog COPYING README
%makeinstall_std

# remove unnecessary files
rm -f %{buildroot}%{scim_plugins_dir}/*/*.{a,la}

%find_lang ccinput

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif


%files -f ccinput.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/scim/ccinput/*
%{_datadir}/scim/icons/*.png
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so


%changelog
* Sat Jan 31 2009 Funda Wang <fundawang@mandriva.org> 0.3.1-5mdv2009.1
+ Revision: 335770
- fix linkage

* Tue Aug 05 2008 Funda Wang <fundawang@mandriva.org> 0.3.1-4mdv2009.0
+ Revision: 263824
- add gcc 43 patch

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 0.3.1-2mdv2008.0
+ Revision: 62038
- Rebuild


* Fri Aug 12 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.1-1mdk
- new release

* Tue Jun 21 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.3.0-0.20050605.1mdk
- rpmlint fixes
- first spec for Mandriva Linux (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

